Subject: Re: [PATCH 1/4] t0080: mark as leak-free

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Jan 2024 12:00:24 -0800

Jeff King <[email-masked]> writes:

> Setting the flag now just makes sure we continue correctly on that path,
> rather than getting surprised near the end of the road that t-basic has
> some dumb leak. Plus it avoids the script popping up as a false positive
> when checking for scripts which can be marked.

Alright.  Any such "dumb leak" in the "basic" would hopefully be
caught by the real t-$other unit tests exercised under the leak
sanitizer, I hope, but it is not worth our time wondering if it
makes sense to special case t0080 specifically.